summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2021-03-28 12:45:53 +0300
committerLars Wirzenius <liw@liw.fi>2021-03-28 12:49:31 +0300
commitb3167754c1e5a4ea211649f59199fe053b4aa031 (patch)
treee40e55795818ce001252d663024736d8bc583a73
parent7d152dad05872282595bf80e28bd0719be0fd8c2 (diff)
downloadbumper-rs-b3167754c1e5a4ea211649f59199fe053b4aa031.tar.gz
test: add script to build and run build-directory tests
-rwxr-xr-xcheck35
1 files changed, 35 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..3c68bdc
--- /dev/null
+++ b/check
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# Run the automated tests for the project.
+
+set -eu
+
+hideok=chronic
+if [ "$#" -gt 0 ]
+then
+ case "$1" in
+ verbose | -v | --verbose)
+ hideok=
+ shift
+ ;;
+ esac
+fi
+
+got_cargo_cmd()
+{
+ cargo --list | grep " $1 " > /dev/null
+}
+
+got_cargo_cmd clippy && cargo clippy -q
+$hideok cargo build --all-targets
+got_cargo_cmd fmt && $hideok cargo fmt -- --check
+$hideok cargo test
+
+sp-docgen bumper.md -o bumper.html
+sp-docgen bumper.md -o bumper.pdf
+
+sp-codegen bumper.md -o test.py
+rm -f test.log
+$hideok python3 test.py --log test.log "$@"
+
+echo "Everything seems to be in order."